as.lisst {oce} | R Documentation

## Coerce data into a lisst object

### Description

Coerce data into a lisst object

### Usage

    as.lisst(data, filename="", year=0, tz="UTC", longitude=NA, latitude=NA)

### Arguments

`data` | A table (or matrix) containing 42 columns, as in a LISST data file.
`filename` | Name of file containing the data.
`year` | Year in which the first observation was made. This is necessary because LISST timestamps do not indicate the year of observation. The default value is odd enough to remind users to include this argument.
`tz` | Timezone of observations. This is necessary because LISST timestamps do not indicate the timezone.
`longitude` | Longitude of observation.
`latitude` | Latitude of observation.

### Details

If `data` contains fewer than 42 columns, an error is reported. If it contains more than 42 columns, only the first 42 are used. This is used by `read.lisst`, the documentation on which explains the meanings of the columns.

### Value

An object of `class` `"lisst"` (for details, see `read.lisst`).

### Author(s)

Dan Kelley

### References

A users's manual for the LISST-100 instrument is available at the manufacturer's website http://www.sequoiasci.com.

### See Also

The documentation for `lisst-class` explains the structure of LISSTobjects, and also outlines the other functions dealing with them.

[Package oce version 0.9-18 Index]